SELECT
    s.symbol
    , s.[count]
    , s.last_date
    , d.[close] AS [last]
FROM
    (
        SELECT
            symbol, COUNT(*) AS [count], MAX([date]) AS last_date
        FROM
            data
        GROUP BY
            symbol
    ) s
    INNER JOIN data d ON d.symbol = s.symbol AND d.[date] = s.last_date
ORDER BY
    s.symbol
